Skip to content

Update Organiser ​

PUT/organisers/:id

Update an existing organiser. Only the attributes you include are changed.

Attributes ​

AttributeTypeDescription
namestring
eventIdnumber
emailstring
descriptionstring
twitterstring
instagramstring
urlstring
ordernumber
settingsobject
imageIdnumber

All attributes are optional.

Request ​

js
import Confetti from 'confetti'

const confetti = new Confetti({ apiKey: 'your-key' })

const organiser = await confetti.organisers.update(112, {
  name: 'example',
  email: 'jane@example.com',
})
sh
curl -X PUT "https://api.confetti.events/organisers/112" \
  -H "Content-Type: application/json" \
  -H "Authorization: apikey your-key" \
  -d '{
  "data": {
    "type": "organiser",
    "id": "112",
    "attributes": {
      "name": "example",
      "email": "jane@example.com"
    }
  }
}'